package com.unipi.talepis.android2022_3;

import androidx.appcompat.app.AlertDialog;
import androidx.appcompat.app.AppCompatActivity;
import androidx.core.app.ActivityCompat;

import android.Manifest;
import android.content.Intent;
import android.content.pm.PackageManager;
import android.os.Bundle;
import android.view.View;
import android.widget.EditText;

public class MainActivity extends AppCompatActivity {
    EditText editText;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);
        editText = findViewById(R.id.editTextTextPersonName);
    }
    public void go1(View view){
        Intent intent = new Intent(this,MainActivity2.class);
        intent.putExtra("myMessage",editText.getText().toString());
        startActivity(intent);
    }
    public void go2(View view){
        new AlertDialog.Builder(this)
                .setTitle("My Message")
                .setIcon(R.mipmap.ic_launcher)
                .setMessage("Hello from Unipi!")
                .setCancelable(true)
                .show();
    }
    public void go3(View view){
        if(ActivityCompat.checkSelfPermission(this, Manifest.permission.ACCESS_FINE_LOCATION)!=
                PackageManager.PERMISSION_GRANTED)
            ActivityCompat.requestPermissions(this,new String[]{Manifest.permission.ACCESS_FINE_LOCATION},
                    123);
    }
    void showMessage(String title, String message){
        new AlertDialog.Builder(this)
                .setTitle(title)
                .setMessage(message)
                .setCancelable(true)
                .show();
    }
}